/*
 * Filter
 * Copyright (C) 2011 by Apaq
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package dk.apaq.filter.jpa;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 *
 */
public class WhereClause {
    private StringBuilder statement = new StringBuilder();
    private Map<String, Object> parameterMap = new HashMap<String, Object>();

    public void appendStatement(String jpql) {
        statement.append(jpql);
    }

    public void insertStatement(int index, String jpql) {
        statement.insert(index, jpql);
    }

    public void appendParameter(String parameter, Object value) {
        parameterMap.put(parameter, value);
    }

    public int getStatementLength() {
        return statement.length();
    }


    public String getStatement() {
        return statement.toString();
    }

    public Map<String, Object> getParameters() {
        return Collections.unmodifiableMap(parameterMap);
    }
}
